import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../entities/table_entities.dart';
import '../repository/game_repository.dart';

class GetTiersUseCase
    implements UseCase<DataState<List<TableTier>>, NoParams> {
  final GameRepository repository;
  GetTiersUseCase(this.repository);

  @override
  Future<DataState<List<TableTier>>> call(NoParams params) =>
      repository.getTiers();
}
